Download it now!
Bug 40102 - Multi-paragraph footnotes are not fully displayed when mouse is over the number
Summary: Multi-paragraph footnotes are not fully displayed when mouse is over the number
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: x86 (IA32) All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-15 05:46 UTC by Christopher M. Penalver
Modified: 2013-04-24 08:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
example.odt (9.00 KB, application/vnd.oasis.opendocument.text)
2011-08-15 05:46 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-08-15 05:46:59 UTC
Created attachment 50231 [details]
example.odt

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/150937

OOo bug may be found at:
http://openoffice.org/bugzilla/show_bug.cgi?id=42424

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.3-1ubuntu2
  Candidate: 1:3.3.3-1ubuntu2
  Version table:
 *** 1:3.3.3-1ubuntu2 0
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/150937/+attachment/2144278/+files/example.odt && lowriter -nologo example.odt

and hover the mouse icon over the object is the entire footnote is displayed as it does in Word screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/150937/+attachment/2144302/+files/Screenshot.png

4) What happens instead is it displays truncated.
Comment 1 Jeffrey 2011-08-16 19:41:23 UTC
Failed to reproduce on LibreOffice 3.4  340m1(Build:103) for OpenSuse Linux. I think the problem has less to do with the display being truncated and more to do with the fact that LO doesn't recognize ENTER in footnotes. After I delete the enter betweens lines 1, 2, 3, and 4, it displays line 1, line 2, line 3, and line 4 just as MS Word does fine. So there may be a difference in interpretation (LO does not recognize paragraphs, while MS does), but this problem does not seem to concern large footnotes.
Comment 2 Björn Michaelsen 2011-12-23 12:37:38 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Christopher M. Penalver 2012-01-04 01:19:22 UTC
Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 4 Andras Timar 2012-09-08 16:48:21 UTC
Taking a quick look at the code, it seems that SwFmtFtn::GetFtnText() in sw/source/core/txtnode/atrftn.cxx returns only one text node from the footnote. If the footnote contains multiple paragraphs, then only the first paragraph is returned. However, I did not find the way to get the number of text nodes in a given footnote. It is not stored in the object.

You can use "soft returns" (Shift+Enter) to separate lines in footnotes, that works.
Comment 5 Björn Michaelsen 2013-04-09 10:23:56 UTC
Closing as RESOLVED/FIXED for LibreOffice 4.0 as per:

http://cgit.freedesktop.org/libreoffice/core/commit?id=675f723f83d110bec4a9a4c5fa09ad965d240d2a

@atimar, nemeth: could you quickly confirm?
Comment 6 Andras Timar 2013-04-09 11:08:31 UTC
(In reply to comment #5)
That patch did not resolve the multi-paragraph issue, just the long footnote text issue.
Comment 7 Commit Notification 2013-04-16 13:54:51 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf063d9dfab7ca16b1b7dff54ec9b1d47c24b997

fdo#40102 show full footnote text in index tooltip



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-04-24 08:35:14 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3263ce60c9ccede366ee2e24667ca10a6f823659&h=libreoffice-4-0

fdo#40102 show full footnote text in index tooltip


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.